Package org.pushingpixels.substance.flamingo.common.ui

# Class SubstanceColorSelectorPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.common.popup.ColorSelectorPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI
org.pushingpixels.substance.flamingo.common.ui.SubstanceColorSelectorPanelUI

public class SubstanceColorSelectorPanelUI extends org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI
UI for `JColorSelectorPanel` components in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI

`org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI.PanelLayout`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI

`captionLabel, colorSelectorContainer, colorSelectorPanel`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceColorSelectorPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`paintBottomDivider(Graphics g, int x, int y, int width, int height)`
`protected void`
`paintCaptionBackground(Graphics g, int x, int y, int width, int height)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI

`getLayoutGap, installComponents, installDefaults, installListeners, installUI, paint, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceColorSelectorPanelUI

public SubstanceColorSelectorPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### paintCaptionBackground

protected void paintCaptionBackground(Graphics g, int x, int y, int width, int height)

Overrides:
  `paintCaptionBackground` in class `org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI`

### paintBottomDivider

protected void paintBottomDivider(Graphics g, int x, int y, int width, int height)

Overrides:
  `paintBottomDivider` in class `org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorPanelUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`